#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "mytypes.h"
#include "commands.h"
#include "globals.h"

Byte *mem;
void initSFRNames();

Word address,offset,maxaddr;

char line[80];
char *linep;


/*
 * main function
 *
 */

int main(int argc,char *argv[])
{
char *fname;
FILE *file;
Word addr;
int len,i;

if(argc<2) {
	fprintf(stderr,"Usage: %s file [offset]\n",argv[0]);
	exit(1);
	}

fname=argv[1];
if ((mem=(Byte *)calloc(65536l,1))==NULL)
	exit(1);

offset=argc > 2 ? strtoul(argv[2],NULL,16) : 0;
addr=offset;
if((file=fopen(fname,"rb"))==NULL) {
	perror(fname);
	exit(1);
	}
maxaddr=fread(mem+offset,1,65536l-offset,file)+offset-1;
outf=stdout;
initSFRNames();
#ifdef AUTO
	for(;(len=get(buf,16,addr))>0;addr+=len) {
		jumped=0;
		len=instr(addr,buf,len);
		if(jumped)
			putchar('\n');
	}
#else /* interactive */
	while (getcmd(&addr));
#endif

fclose(file);
free(mem);
exit(0);
}

