#include "opcodes.h"

OPCODE opcodes[]={
"add",NOR3,0x64,
"addb",NOR83,0x74,
"addc",NOR,0xa4,
"addcb",NOR8,0xb4,
"and",NOR3,0x60,
"andb",NOR83,0x70,
"br",IREG,0xe3,
"clr",REG,0x01,
"clrb",REG,0x11,
"clrc",IMP,0xf8,
"clrvt",IMP,0xfc,
"cmp",NOR,0x88,
"cmpb",NOR8,0x98,
"dec",REG,0x05,
"decb",REG8,0x15,
"di",IMP,0xfa,
"div",NOR,0xfe8c, /* prefix fe */
"divb",NOR8,0xfe9c, /* prefix fe */
"divu",NOR,0x8c,
"divub",NOR8,0x9c,
"djnz",DJNZ,0xe0,
"ei",IMP,0xfb,
"ext",REG,0x06,
"extb",REG8,0x16,
"inc",REG,0x07,
"incb",REG8,0x17,
"jbc",BIT,0x30,
"jbs",BIT,0x38,
"jc",REL,0xdb,
"je",REL,0xdf,
"jge",REL,0xd6,
"jgt",REL,0xd2,
"jh",REL,0xd9,
"jle",REL,0xda,
"jlt",REL,0xde,
"jnc",REL,0xd3,
"jne",REL,0xd7,
"jnh",REL,0xd1,
"jnst",REL,0xd0,
"jnv",REL,0xd5,
"jnvt",REL,0xd4,
"jst",REL,0xd8,
"jv",REL,0xdd,
"jvt",REL,0xdc,
"lcall",REL16,0xef,
"ld",NOR,0xa0,
"ldb",NOR8,0xb0,
"ldbse",NOR8,0xbc,
"ldbze",NOR8,0xac,
"ljmp",REL16,0xe7,
"mul",NOR3,0xfe6c, /* prefix fe */
"mulb",NOR83,0xfe7c, /* prefix fe */
"mulu",NOR3,0x6c,
"mulub",NOR83,0x7c,
"neg",REG,0x03,
"negb",REG8,0x13,
"nop",IMP,0xfd,
"norml",REG,0x0f,
"not",REG,0x02,
"notb",REG8,0x12,
"or",NOR,0x80,
"orb",NOR8,0x90,
"pop",PUSHPOP,0xcc,
"popf",IMP,0xf3,
"push",PUSHPOP,0xc8,
"pushf",IMP,0xf2,
"ret",IMP,0xf0,
"rst",IMP,0xff,
"scall",REL11,0x28,
"setc",IMP,0xf9,
"shl",SHIFT32,0x09,
"shlb",SHIFT8,0x19,
"shll",SHIFT32,0x0d,
"shr",SHIFT,0x08,
"shra",SHIFT,0x0a,
"shrab",SHIFT8,0x1a,
"shral",SHIFT32,0x0e,
"shrb",SHIFT8,0x18,
"shrl",SHIFT32,0x0c,
"sjmp",REL11,0x20,
"skip",REG,0x00,
"st",NOR,0xc0,
"stb",NOR8,0xc4,
"sub",NOR3,0x68,
"subb",NOR83,0x78,
"subc",NOR,0xa8,
"subcb",NOR8,0xb8,
"xor",NOR,0x84,
"xorb",NOR8,0x94
};

int nrofmnemonics=sizeof(opcodes)/sizeof(OPCODE);
